## elisa-player 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

# KDE Applications version, managed by release script.
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(elisa
    VERSION ${KDE_APPLICATIONS_VERSION}
    LANGUAGES CXX)

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

set(REQUIRED_QT_VERSION "5.11.0")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network Qml Quick Test Sql Multimedia Svg Gui Widgets QuickTest Concurrent QuickControls2)

find_package(Qt5Core ${REQUIRED_QT_VERSION} CONFIG REQUIRED Private)

set(REQUIRED_KF5_VERSION "5.60.0")
find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)

if (NOT WIN32)
    find_package(Qt5DBus ${REQUIRED_QT_VERSION} CONFIG QUIET)
    set_package_properties(Qt5DBus PROPERTIES
        DESCRIPTION "Qt5 DBus is needed to provide MPris2 interface to allow remote control by the desktop workspace."
        TYPE OPTIONAL)
endif()

find_package(Qt5QuickWidgets ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt5QuickWidgets PROPERTIES
    DESCRIPTION "Qt5 Quick Widgets is needed at runtime to provide the interface."
    TYPE RUNTIME)

find_package(Qt5QuickControls2 ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt5QuickControls2 PROPERTIES
    DESCRIPTION "Qt5 Quick Controls version 2 is needed at runtime to provide the interface."
    TYPE RUNTIME)

if (ANDROID)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS AndroidExtras)
    set_package_properties(Qt5AndroidExtras PROPERTIES
        DESCRIPTION "Qt5 AndroidExtras is needed to provide the Android integration."
        TYPE REQUIRED)
endif()

find_package(KF5Kirigami2 ${REQUIRED_KF5_VERSION} CONFIG QUIET)

set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KF5 Kirigami 2 is needed to provide the mobile UI components."
    TYPE REQUIRED)

find_package(KF5I18n ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5I18n PROPERTIES
    DESCRIPTION "KF5 text internationalization library."
    TYPE REQUIRED)

find_package(KF5Declarative ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Declarative PROPERTIES
    DESCRIPTION "Integration of QML and KDE work spaces."
    TYPE RECOMMENDED)

find_package(KF5CoreAddons ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5CoreAddons PROPERTIES
    DESCRIPTION "Qt addon library with a collection of non-GUI utilities."
    TYPE REQUIRED)

if (NOT WIN32)
find_package(KF5Baloo ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Baloo PROPERTIES
    DESCRIPTION "Baloo provides file searching and indexing."
    TYPE RECOMMENDED)
endif()

find_package(KF5FileMetaData ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5FileMetaData PROPERTIES
    DESCRIPTION "Provides a simple library for extracting metadata."
    TYPE RECOMMENDED)

find_package(KF5DocTools ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5DocTools PROPERTIES
    DESCRIPTION "Create documentation from DocBook library."
    TYPE OPTIONAL)

find_package(KF5XmlGui ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5XmlGui PROPERTIES
    DESCRIPTION "Framework for managing menu and toolbar actions."
    TYPE RECOMMENDED)

find_package(KF5Config ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Config PROPERTIES
    DESCRIPTION "Persistent platform-independent application settings."
    TYPE REQUIRED)

find_package(KF5ConfigWidgets ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5ConfigWidgets PROPERTIES
    DESCRIPTION "Widgets for configuration dialogs."
    TYPE RECOMMENDED)

find_package(KF5Crash ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Crash PROPERTIES
    DESCRIPTION "Graceful handling of application crashes."
    TYPE OPTIONAL)

if (NOT WIN32)
    find_package(KF5DBusAddons ${REQUIRED_KF5_VERSION} CONFIG QUIET)
    set_package_properties(KF5DBusAddons PROPERTIES
        DESCRIPTION "Convenience classes for D-Bus."
        TYPE OPTIONAL)
endif()

find_package(KF5KCMUtils ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5KCMUtils PROPERTIES
    DESCRIPTION "KF5 Utilities for KDE System Settings modules library."
    TYPE RECOMMENDED)

find_package(KF5Package ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Package PROPERTIES
    DESCRIPTION "KF5 package management library needed to get the configuration dialogs."
    TYPE RECOMMENDED)

find_package(KF5KIO ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5KIO PROPERTIES
    DESCRIPTION "File management libraries used for file browsing."
    TYPE RECOMMENDED)

find_package(UPNPQT CONFIG QUIET)
set_package_properties(UPNPQT PROPERTIES
    DESCRIPTION "UPNP layer build with Qt 5. UPnP support is currently broken. You should probably avoid this dependency."
    URL "https://gitlab.com/homeautomationqt/upnp-player-qt"
    TYPE OPTIONAL)

if (UPNPQT_FOUND)
    message(WARNING "UPnP support is experimental and may not work.")
endif()

find_package(LIBVLC QUIET)
set_package_properties(LIBVLC PROPERTIES
    DESCRIPTION "libvlc allows to play music in Elisa (otherwise it will use QtMultimedia)"
    URL "https://www.videolan.org/vlc/libvlc.html"
    TYPE RECOMMENDED)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)

if (CMAKE_SYSTEM_NAME STREQUAL Android)
    set(QT_QMAKE_EXECUTABLE "$ENV{Qt5_android}/bin/qmake")
endif()

configure_file(config-upnp-qt.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-upnp-qt.h )

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX ELISA
    VERSION_HEADER elisa-version.h)

add_subdirectory(src)
add_subdirectory(icons)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(doc)

install(
    PROGRAMS org.kde.elisa.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    FILES org.kde.elisa.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

ki18n_install(po)

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES elisa.categories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES elisa.categories DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
enable_testing()

configure_file(mediaplaylisttestconfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/mediaplaylisttestconfig.h @ONLY)

include_directories(${elisa_CURRENT_BINARY_DIR})
include_directories(${elisa_BINARY_DIR})
include_directories(${elisa_BINARY_DIR}/src)

set(viewManagerTest_SOURCES
    viewmanagertest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${viewManagerTest_SOURCES}
    TEST_NAME "viewManagerTest"
    LINK_LIBRARIES
        Qt5::Test elisaLib)

target_include_directories(viewManagerTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(databaseInterfaceTest_SOURCES
    databaseinterfacetest.cpp
    databasetestdata.h
)

ecm_add_test(${databaseInterfaceTest_SOURCES}
    TEST_NAME "databaseInterfaceTest"
    LINK_LIBRARIES
        Qt5::Test elisaLib)

target_include_directories(databaseInterfaceTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(managemediaplayercontrolTest_SOURCES
    managemediaplayercontroltest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${managemediaplayercontrolTest_SOURCES}
    TEST_NAME "managemediaplayercontrolTest"
    LINK_LIBRARIES
        Qt5::Test elisaLib
)

set(manageheaderbarTest_SOURCES
    manageheaderbartest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${manageheaderbarTest_SOURCES}
    TEST_NAME "manageheaderbarTest"
    LINK_LIBRARIES
        Qt5::Test elisaLib
)

target_include_directories(manageheaderbarTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(manageaudioplayerTest_SOURCES
    manageaudioplayertest.cpp
)

ecm_add_test(${manageaudioplayerTest_SOURCES}
    TEST_NAME "manageaudioplayerTest"
    LINK_LIBRARIES Qt5::Test elisaLib
)

target_include_directories(manageaudioplayerTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(mediaplaylistTest_SOURCES
    mediaplaylisttest.cpp
    ../src/elisautils.cpp
)

ecm_qt_declare_logging_category(mediaplaylistTest_SOURCES HEADER elisa_debug.h IDENTIFIER lcModelTest CATEGORY_NAME qt.modeltest)

ecm_add_test(${mediaplaylistTest_SOURCES}
    TEST_NAME "mediaplaylistTest"
    LINK_LIBRARIES
        Qt5::Test elisaLib Qt5::CorePrivate
)

target_include_directories(mediaplaylistTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(trackslistenertest_SOURCES
    trackslistenertest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${trackslistenertest_SOURCES}
    TEST_NAME "trackslistenertest"
    LINK_LIBRARIES
        Qt5::Test elisaLib
)

target_include_directories(trackslistenertest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(datamodeltest_SOURCES
    datamodeltest.cpp
)

ecm_qt_declare_logging_category(datamodeltest_SOURCES HEADER elisa_debug.h IDENTIFIER lcModelTest CATEGORY_NAME qt.modeltest)

ecm_add_test(${datamodeltest_SOURCES}
    TEST_NAME "datamodeltest"
    LINK_LIBRARIES
        Qt5::Test elisaLib Qt5::CorePrivate
)

target_include_directories(datamodeltest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(trackmetadatamodeltest_SOURCES
    trackmetadatamodeltest.cpp
)

ecm_qt_declare_logging_category(trackmetadatamodeltest_SOURCES HEADER elisa_debug.h IDENTIFIER lcModelTest CATEGORY_NAME qt.modeltest)

ecm_add_test(${trackmetadatamodeltest_SOURCES}
    TEST_NAME "trackmetadatamodeltest"
    LINK_LIBRARIES
        Qt5::Test elisaLib Qt5::CorePrivate
)

target_include_directories(trackmetadatamodeltest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(alltracksproxymodeltest_SOURCES
    alltracksproxymodeltest.cpp
)

ecm_qt_declare_logging_category(alltracksproxymodeltest_SOURCES HEADER elisa_debug.h IDENTIFIER lcModelTest CATEGORY_NAME qt.modeltest)

ecm_add_test(${alltracksproxymodeltest_SOURCES}
    TEST_NAME "alltracksproxymodeltest"
    LINK_LIBRARIES
        Qt5::Test elisaLib Qt5::CorePrivate
)

target_include_directories(alltracksproxymodeltest PRIVATE ${CMAKE_SOURCE_DIR}/src)

if (KF5FileMetaData_FOUND)
    set(localfilelistingtest_SOURCES
        localfilelistingtest.cpp
    )

    ecm_add_test(${localfilelistingtest_SOURCES}
        TEST_NAME "localfilelistingtest"
        LINK_LIBRARIES
            Qt5::Test elisaLib
    )

    target_include_directories(localfilelistingtest PRIVATE ${CMAKE_SOURCE_DIR}/src)
endif()

if (KF5XmlGui_FOUND AND KF5KCMUtils_FOUND)
    set(elisaapplicationtest_SOURCES
        elisaapplicationtest.cpp
        ../src/elisautils.cpp
    )

    ecm_add_test(${elisaapplicationtest_SOURCES}
        TEST_NAME "elisaapplicationtest"
        LINK_LIBRARIES
            Qt5::Test elisaLib
    )

    if (KF5Declarative_FOUND)
        target_link_libraries(elisaapplicationtest
            KF5::Declarative
            )
    endif()

    target_include_directories(elisaapplicationtest PRIVATE ${CMAKE_SOURCE_DIR}/src)
endif()

if (Qt5Quick_FOUND AND Qt5Widgets_FOUND AND NOT WIN32)
    set(elisaqmltests_SOURCES
        elisaqmltests.cpp
        qmltests/tst_GridBrowserDelegate.qml
        qmltests/tst_NavigationActionBar.qml
        qmltests/tst_PlayListEntry.qml
    )

    ecm_add_test(${elisaqmltests_SOURCES}
        TEST_NAME "elisaqmltests"
        LINK_LIBRARIES Qt5::Core Qt5::Widgets Qt5::Test Qt5::QuickTest
        GUI)

    target_compile_definitions(elisaqmltests PRIVATE QUICK_TEST_SOURCE_DIR="${CMAKE_SOURCE_DIR}/autotests/qmltests")

    target_include_directories(elisaqmltests PRIVATE ${CMAKE_SOURCE_DIR}/src)
endif()

set(filescannerTest_SOURCES
    filescannertest.cpp
)

ecm_add_test(${filescannerTest_SOURCES}
    TEST_NAME "filescannerTest"
    LINK_LIBRARIES Qt5::Test elisaLib
)

=== doc/CMakeLists.txt ===
# documentation

if (KF5DocTools_FOUND)
    KDOCTOOLS_CREATE_HANDBOOK(
        index.docbook
            INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
            SUBDIR elisa
    )
endif()

=== src/CMakeLists.txt ===
include_directories(${elisa_BINARY_DIR})

set(elisaLib_SOURCES
    mediaplaylist.cpp
    progressindicator.cpp
    databaseinterface.cpp
    datatypes.cpp
    musiclistenersmanager.cpp
    managemediaplayercontrol.cpp
    manageheaderbar.cpp
    manageaudioplayer.cpp
    trackslistener.cpp
    elisaapplication.cpp
    modeldataloader.cpp
    elisautils.cpp
    abstractfile/abstractfilelistener.cpp
    abstractfile/abstractfilelisting.cpp
    filescanner.cpp
    viewmanager.cpp
    powermanagementinterface.cpp
    file/filelistener.cpp
    file/localfilelisting.cpp
    models/datamodel.cpp
    models/abstractmediaproxymodel.cpp
    models/gridviewproxymodel.cpp
    models/alltracksproxymodel.cpp
    models/singlealbumproxymodel.cpp
    models/trackmetadatamodel.cpp
    models/trackcontextmetadatamodel.cpp
    models/viewsmodel.cpp
    localFileConfiguration/elisaconfigurationdialog.cpp
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "indexersManager.h"
    IDENTIFIER "orgKdeElisaIndexersManager"
    CATEGORY_NAME "org.kde.elisa.indexers.manager"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "databaseLogging.h"
    IDENTIFIER "orgKdeElisaDatabase"
    CATEGORY_NAME "org.kde.elisa.database"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "abstractfile/indexercommon.h"
    IDENTIFIER "orgKdeElisaIndexer"
    CATEGORY_NAME "org.kde.elisa.indexer"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "models/modelLogging.h"
    IDENTIFIER "orgKdeElisaModel"
    CATEGORY_NAME "org.kde.elisa.model"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "playListLogging.h"
    IDENTIFIER "orgKdeElisaPlayList"
    CATEGORY_NAME "org.kde.elisa.playlist"
    DEFAULT_SEVERITY Info
    )

if (LIBVLC_FOUND)
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "vlcLogging.h"
        IDENTIFIER "orgKdeElisaPlayerVlc"
        CATEGORY_NAME "org.kde.elisa.player.vlc"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        audiowrapper_libvlc.cpp
        )
else()
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "qtMultimediaLogging.h"
        IDENTIFIER "orgKdeElisaPlayerQtMultimedia"
        CATEGORY_NAME "org.kde.elisa.player.qtMultimedia"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        audiowrapper_qtmultimedia.cpp
        )
endif()

if (ANDROID)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        android/androidmusiclistener.cpp
        )
endif()

if (KF5KIO_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        models/filebrowsermodel.cpp
        models/filebrowserproxymodel.cpp
        )
endif()

if (KF5Baloo_FOUND)
    if (Qt5DBus_FOUND)
        ecm_qt_declare_logging_category(elisaLib_SOURCES
            HEADER "baloo/baloocommon.h"
            IDENTIFIER "orgKdeElisaBaloo"
            CATEGORY_NAME "org.kde.elisa.baloo"
            DEFAULT_SEVERITY Info
            )

        set(elisaLib_SOURCES
            ${elisaLib_SOURCES}
            baloo/localbaloofilelisting.cpp
            baloo/baloolistener.cpp
            baloo/baloodetector.cpp
            )

        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.main.xml
            baloo/main)

        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.fileindexer.xml
            baloo/fileindexer)

        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.scheduler.xml
            baloo/scheduler)

        qt5_add_dbus_adaptor(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.BalooWatcherApplication.xml
            baloo/localbaloofilelisting.h LocalBalooFileListing)
    endif()
endif()

if (Qt5DBus_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        mpris2/mpris2.cpp
        mpris2/mediaplayer2.cpp
        mpris2/mediaplayer2player.cpp
        )
endif()

if (UPNPQT_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        upnp/upnpcontrolcontentdirectory.cpp
        upnp/upnpcontentdirectorymodel.cpp
        upnp/upnpcontrolconnectionmanager.cpp
        upnp/upnpcontrolmediaserver.cpp
        upnp/didlparser.cpp
        upnp/upnplistener.cpp
        upnp/upnpdiscoverallmusic.cpp
        )
endif()

if (KF5Baloo_FOUND)
    if (Qt5DBus_FOUND)
        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.fileindexer.xml
            baloo/fileindexer)

        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.scheduler.xml
            baloo/scheduler)

        set(elisaLib_SOURCES
            ${elisaLib_SOURCES}
            ../src/baloo/baloolistener.cpp
            ../src/baloo/localbaloofilelisting.cpp
            )
    endif()
endif()

kconfig_add_kcfg_files(elisaLib_SOURCES ../src/elisa_settings.kcfgc )
set(elisaLib_SOURCES
    ${elisaLib_SOURCES}
    ../src/elisa_core.kcfg
    )

add_library(elisaLib ${elisaLib_SOURCES})
target_link_libraries(elisaLib
    LINK_PUBLIC
    Qt5::Multimedia
    LINK_PRIVATE
    Qt5::Core Qt5::Sql Qt5::Widgets Qt5::Concurrent Qt5::Qml
    KF5::I18n KF5::CoreAddons
    KF5::ConfigCore KF5::ConfigGui)

if (KF5FileMetaData_FOUND)
    target_link_libraries(elisaLib
        LINK_PRIVATE
        KF5::FileMetaData
        )
endif()

if (KF5KIO_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets
        )
endif()

if (KF5XmlGui_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF5::XmlGui
        )
endif()

if (KF5ConfigWidgets_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF5::ConfigWidgets
        )
endif()

if (KF5KCMUtils_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF5::KCMUtils
        )
endif()

if (KF5Baloo_FOUND)
    if (Qt5DBus_FOUND)
        target_link_libraries(elisaLib
            LINK_PUBLIC
            KF5::Baloo
            )
    endif()
endif()

if (Qt5DBus_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        Qt5::DBus
        )

    if (KF5DBusAddons_FOUND)
        target_link_libraries(elisaLib
            LINK_PUBLIC
            KF5::DBusAddons
            )
    endif()
endif()

if (LIBVLC_FOUND)
    target_include_directories(elisaLib
        PRIVATE
        ${LIBVLC_INCLUDE_DIR}
        )

    target_link_libraries(elisaLib
        LINK_PRIVATE
        ${LIBVLC_LIBRARY}
        )
endif()

if (ANDROID)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        Qt5::AndroidExtras
        )
endif()

generate_export_header(elisaLib BASE_NAME ElisaLib EXPORT_FILE_NAME elisaLib_export.h)

set_target_properties(elisaLib PROPERTIES
    VERSION 0.1
    SOVERSION 0
    EXPORT_NAME ElisaLib
    )

if (NOT APPLE AND NOT WIN32)
    install(TARGETS elisaLib
        LIBRARY DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa NAMELINK_SKIP
        RUNTIME DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa
        BUNDLE DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa
        )
else()
    install(TARGETS elisaLib ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()

set(elisaqmlplugin_SOURCES
    elisaqmlplugin.cpp
    elisautils.cpp
)

if (KF5FileMetaData_FOUND)
    set(elisaqmlplugin_SOURCES
        ${elisaqmlplugin_SOURCES}
        embeddedcoverageimageprovider.cpp
    )
endif()

add_library(elisaqmlplugin SHARED ${elisaqmlplugin_SOURCES})
target_link_libraries(elisaqmlplugin
    LINK_PRIVATE
    Qt5::Quick Qt5::Widgets
    KF5::ConfigCore KF5::ConfigGui
    elisaLib
    )

if (KF5FileMetaData_FOUND)
    target_link_libraries(elisaqmlplugin
        LINK_PRIVATE
        KF5::FileMetaData
        )
endif()

set_target_properties(elisaqmlplugin PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/elisa
    )

if (NOT APPLE AND NOT WIN32)
    set_target_properties(elisaqmlplugin PROPERTIES
        INSTALL_RPATH "${KDE_INSTALL_FULL_LIBDIR}/elisa;${CMAKE_INSTALL_RPATH}"
        )
endif()

install(TARGETS elisaqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/elisa/)

install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/elisa)

add_custom_target(copy)
add_custom_target(copy2)

file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/elisa)

add_custom_command(TARGET copy PRE_BUILD
    COMMAND ${CMAKE_COMMAND} -E
    copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_BINARY_DIR}/bin/org/kde/elisa/)

add_custom_command(TARGET copy2 PRE_BUILD
    COMMAND ${CMAKE_COMMAND} -E
    copy ${CMAKE_CURRENT_SOURCE_DIR}/plugins.qmltypes ${CMAKE_BINARY_DIR}/bin/org/kde/elisa/)

add_dependencies(elisaqmlplugin copy copy2)

if (Qt5Quick_FOUND AND Qt5Widgets_FOUND)
    set(elisa_SOURCES
        main.cpp

        windows/WindowsTheme.qml
        windows/PlatformIntegration.qml

        android/ElisaMainWindow.qml
        android/AndroidTheme.qml
        android/PlatformIntegration.qml
        android/AlbumsView.qml
        android/ArtistsView.qml
        android/TracksView.qml
        android/GenresView.qml

        qml/ElisaMainWindow.qml
        qml/ApplicationMenu.qml
        qml/NativeApplicationMenu.qml
        qml/BaseTheme.qml
        qml/Theme.qml
        qml/PlatformIntegration.qml
        qml/LabelWithToolTip.qml

        qml/RatingStar.qml
        qml/DraggableItem.qml
        qml/TrackImportNotification.qml

        qml/HeaderBar.qml
        qml/NavigationActionBar.qml
        qml/MediaPlayerControl.qml
        qml/ContextView.qml
        qml/ContentView.qml
        qml/ViewSelector.qml
        qml/ViewSelectorDelegate.qml
        qml/DataGridView.qml
        qml/DataListView.qml

        qml/MediaPlayListView.qml
        qml/PlayListBasicView.qml
        qml/PlayListEntry.qml
        qml/SimplePlayListView.qml
        qml/PlayListAlbumHeader.qml
        qml/BasicPlayListAlbumHeader.qml

        qml/MetaDataDelegate.qml
        qml/EditableMetaDataDelegate.qml
        qml/TracksDiscHeader.qml
        qml/MediaTrackMetadataView.qml
        qml/GridBrowserView.qml
        qml/GridBrowserDelegate.qml
        qml/ListBrowserView.qml
        qml/ListBrowserDelegate.qml
        qml/FileBrowserView.qml
        qml/ScrollHelper.qml
        qml/FlatButtonWithToolTip.qml
        qml/HeaderFooterToolbar.qml

        qml/ElisaConfigurationDialog.qml
    )

    qt5_add_resources(elisa_SOURCES resources.qrc)
    set_property(SOURCE qrc_resources.cpp PROPERTY SKIP_AUTOMOC ON)

    set(elisa_ICONS_PNG
        ../icons/128-apps-elisa.png
        ../icons/64-apps-elisa.png
        ../icons/48-apps-elisa.png
        ../icons/32-apps-elisa.png
        ../icons/22-apps-elisa.png
        ../icons/16-apps-elisa.png
        )

    # add icons to application sources, to have them bundled
    ecm_add_app_icon(elisa_SOURCES ICONS ${elisa_ICONS_PNG})

    add_executable(elisa ${elisa_SOURCES})

    target_include_directories(elisa PRIVATE ${KDSoap_INCLUDE_DIRS})

    target_link_libraries(elisa
        LINK_PRIVATE
        elisaLib
        Qt5::Widgets Qt5::QuickControls2
        KF5::I18n KF5::CoreAddons KF5::ConfigCore KF5::ConfigGui
        )

    if (ANDROID)
        target_link_libraries(elisa
            LINK_PRIVATE
            Qt5::AndroidExtras Qt5::Svg Qt5::Sql Qt5::Concurrent KF5::Kirigami2
        )
    endif()

    if (KF5Crash_FOUND)
        target_link_libraries(elisa
            LINK_PRIVATE
            KF5::Crash
            )
    endif()

    if (KF5Declarative_FOUND)
        target_link_libraries(elisa
            LINK_PRIVATE
            KF5::Declarative
            KF5::QuickAddons
            )
    endif()

    if (NOT APPLE AND NOT WIN32)
        set_target_properties(elisa PROPERTIES
            INSTALL_RPATH "${KDE_INSTALL_FULL_LIBDIR}/elisa;${CMAKE_INSTALL_RPATH}"

## elisa-player 1.1+really0.4.2

=== debian/changelog ===
elisa-player (1.1+really0.4.2-1) unstable; urgency=medium

  * Refresh dependencies.
  * New upstream release 0.4.2:
    - Restore of track not working in certain conditions
    - Wrong color of selected view selector with certain themes
  * New upstream release 0.4.1:
    - Improved accessibility with screen readers
    - Improved keyboard navigation and focus
    - Various UI cleanups to playlist, file browser, content view

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 04 Jul 2019 22:14:00 +0200

elisa-player (1.1+really0.4.0-2) unstable; urgency=medium

  * Remove useless Depends on libkf5mediaplayer5.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 09 Jun 2019 11:40:43 +0200

elisa-player (1.1+really0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #895253)
  * Use +really version to work around the fact that another project already
    used the elisa package name in the past.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 10 Feb 2019 11:26:56 +0100

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: debhelper-compat (= 12),
               pkg-kde-tools,
               cmake (>= 3.8.0),
               qtbase5-dev (>= 5.10.0),
               qtbase5-private-dev (>= 5.10.0),
               qtdeclarative5-dev (>= 5.10.0),
               qtmultimedia5-dev (>= 5.10.0),
               libqt5svg5-dev (>= 5.10.0),
               qtquickcontrols2-5-dev (>= 5.10.0),
               extra-cmake-modules (>= 5.48.0),
               libkf5i18n-dev (>= 5.48.0),
               libkf5declarative-dev (>= 5.48.0),
               libkf5coreaddons-dev (>= 5.48.0),
               baloo-kf5-dev (>= 5.48.0),
               libkf5filemetadata-dev (>= 5.48.0),
               libkf5doctools-dev (>= 5.48.0),
               libkf5xmlgui-dev (>= 5.48.0),
               libkf5config-dev (>= 5.48.0),
               libkf5configwidgets-dev (>= 5.48.0),
               libkf5crash-dev (>= 5.48.0),
               libkf5dbusaddons-dev (>= 5.48.0),
               libkf5kcmutils-dev (>= 5.48.0),
               libkf5package-dev (>= 5.48.0),
               libkf5kio-dev (>= 5.48.0),
               kirigami2-dev (>= 5.48.0),
               libvlc-dev,
               libvlccore-dev,
# For running tests
               xvfb,
               xauth,
               libqt5multimedia5-plugins (>= 5.10.0),
               libqt5sql5-sqlite (>= 5.10.0),
               qml-module-qttest (>= 5.10.0),
               qml-module-qtmultimedia (>= 5.10.0),
               qml-module-qtqml-models2 (>= 5.10.0),
               qml-module-qtquick-layouts (>= 5.10.0),
               qml-module-qtquick-controls (>= 5.10.0),
               qml-module-qtquick-controls2 (>= 5.10.0),
               libkf5filemetadata3 (>= 5.48.0),
               libkf5filemetadata-bin (>= 5.48.0),
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://community.kde.org/Elisa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/elisa
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/elisa.git

Package: elisa
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5multimedia5-plugins (>= 5.10.0),
         libqt5sql5-sqlite (>= 5.10.0),
         qml-module-qt-labs-platform (>= 5.10.0),
         qml-module-qt-labs-settings (>= 5.10.0),
         qml-module-qtqml-models2 (>= 5.10.0),
         qml-module-org-kde-kcm (>= 5.10.0),
         qml-module-qtquick-controls (>= 5.10.0),
         qml-module-qtquick-controls2 (>= 5.10.0),
         qml-module-qtquick-dialogs (>= 5.10.0),
         qml-module-qtquick-layouts (>= 5.10.0),
         qml-module-qtquick2 (>= 5.10.0)
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

TESTS_ROOT=$(CURDIR)/debian/tests.root

%:
	dh $@ --with kf5

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(TESTS_ROOT)"
	mkdir -p "$(TESTS_ROOT)/tmp"
	mkdir -p "$(TESTS_ROOT)/home/tests"
	mkdir -p -m 700 "$(TESTS_ROOT)/run"
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel -- HOME="$(TESTS_ROOT)/home/tests" TMPDIR="$(TESTS_ROOT)/tmp" XDG_RUNTIME_DIR="$(TESTS_ROOT)/run"
endif

override_dh_makeshlibs:
	:

override_dh_auto_clean:
	rm -f src/qml/*.qmlc
	rm -f autotests/qmltests/tst_*.qmlc
	rm -rf "$(TESTS_ROOT)"
	dh_auto_clean

=== debian/tests/control ===
Tests: show-command-line-help
Restrictions: allow-stderr
Depends: elisa, xvfb, xauth

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts="pgpmode=auto, dversionmangle=s/^.*\+really//, oversionmangle=s/^/1.1+really/, \
      filenamemangle=s/^elisa/elisa-player/" \
https://download.kde.org/stable/elisa/([\d.]+)/elisa-([\d.]+)\.tar\.xz

## elisa-player 19.12.2

=== debian/changelog ===
elisa-player (19.12.2-1) unstable; urgency=medium

  * Borrow minimal upstream signing key from k3b.
  * Add dependency to breeze-icon-theme to fix missing icons in non-KDE
    desktops.
  * New upstream release (19.12.2).
  * Simplify debian/rules with execute_after_dh_auto_clean.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 06 Feb 2020 16:40:00 +0100

elisa-player (19.12.1-1) unstable; urgency=medium

  * New upstream minor release 19.12.1.
  * debian/control: review and improve dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2020 15:59:05 +0100

elisa-player (19.12.0-2) unstable; urgency=medium

  * Update watch file to the new release-service location.
  * Add libkf5doctools-dev build dependency to also build elisa handbook
    (thanks to Rik Mills for the catch).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2020 15:51:56 +0100

elisa-player (19.12.0-1) unstable; urgency=medium

  * New upstream release 19.12.0:
    - Now part of the official KDE Applications releases
    - Better support for high DPI screens
    - Improved music indexing
    - Support for web radios
  * Refresh dependencies according to upstream build system:
    - Qt >= 5.11
    - KDE Frameworks >= 5.60
  * Update debian/copyright.
  * Bump standards version to 4.4.1 (no change needed).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 Dec 2019 22:26:58 +0100

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: debhelper-compat (= 12),
               pkg-kde-tools,
               cmake (>= 3.8~),
               extra-cmake-modules (>= 5.60.0~),
               baloo-kf5-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5crash-dev (>= 5.60.0~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5declarative-dev (>= 5.60.0~),
               libkf5doctools-dev (>= 5.60.0~),
               libkf5filemetadata-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5kcmutils-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5package-dev (>= 5.60.0~),
               libqt5svg5-dev (>= 5.11.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               libvlc-dev,
               libvlccore-dev,
               kirigami2-dev (>= 5.60.0~),
               qtbase5-dev (>= 5.11.0~),
               qtbase5-private-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtmultimedia5-dev (>= 5.11.0~),
               qtquickcontrols2-5-dev (>= 5.11.0~),
# For running tests
               libkf5filemetadata3 (>= 5.60.0~),
               libkf5filemetadata-bin (>= 5.60.0~),
               libqt5multimedia5-plugins (>= 5.11.0~),
               libqt5sql5-sqlite (>= 5.11.0~),
               qml-module-qtmultimedia (>= 5.11.0~),
               qml-module-qttest (>= 5.11.0~),
               qml-module-qtqml-models2 (>= 5.11.0~),
               qml-module-qtquick-controls (>= 5.11.0~),
               qml-module-qtquick-controls2 (>= 5.11.0~),
               qml-module-qtquick-layouts (>= 5.11.0~),
               xvfb,
               xauth,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://community.kde.org/Elisa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/elisa
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/elisa.git

Package: elisa
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         breeze-icon-theme (>= 5.60.0~),
         libqt5multimedia5-plugins (>= 5.11.0~),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-kcm (>= 5.60.0~),
         qml-module-qt-labs-platform (>= 5.11.0~),
         qml-module-qt-labs-settings (>= 5.11.0~),
         qml-module-qtqml-models2 (>= 5.11.0~),
         qml-module-qtquick-controls (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-dialogs (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.

## elisa-player 19.12.3

=== debian/changelog ===
elisa-player (19.12.3-1) unstable; urgency=medium

  * Use <!nocheck> profile to flag build dependencies only required for tests.
  * New upstream minor release (19.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Mar 2020 10:12:33 +0100

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.60.0~),
               cmake (>= 3.8~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               kirigami2-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5crash-dev (>= 5.60.0~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5declarative-dev (>= 5.60.0~),
               libkf5doctools-dev (>= 5.60.0~),
               libkf5filemetadata-bin (>= 5.60.0~) <!nocheck>,
               libkf5filemetadata-dev (>= 5.60.0~),
               libkf5filemetadata3 (>= 5.60.0~) <!nocheck>,
               libkf5i18n-dev (>= 5.60.0~),
               libkf5kcmutils-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5package-dev (>= 5.60.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               libqt5multimedia5-plugins (>= 5.11.0~) <!nocheck>,
               libqt5sql5-sqlite (>= 5.11.0~) <!nocheck>,
               libqt5svg5-dev (>= 5.11.0~),
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
               qml-module-qtmultimedia (>= 5.11.0~) <!nocheck>,
               qml-module-qtqml-models2 (>= 5.11.0~) <!nocheck>,
               qml-module-qtquick-controls (>= 5.11.0~) <!nocheck>,
               qml-module-qtquick-controls2 (>= 5.11.0~) <!nocheck>,
               qml-module-qtquick-layouts (>= 5.11.0~) <!nocheck>,
               qml-module-qttest (>= 5.11.0~) <!nocheck>,
               qtbase5-dev (>= 5.11.0~),
               qtbase5-private-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtmultimedia5-dev (>= 5.11.0~),
               qtquickcontrols2-5-dev (>= 5.11.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://community.kde.org/Elisa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/elisa
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/elisa.git

Package: elisa
Architecture: any
Depends: breeze-icon-theme (>= 5.60.0~),
         libqt5multimedia5-plugins (>= 5.11.0~),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-kcm (>= 5.60.0~),
         qml-module-qt-labs-platform (>= 5.11.0~),
         qml-module-qt-labs-settings (>= 5.11.0~),
         qml-module-qtqml-models2 (>= 5.11.0~),
         qml-module-qtquick-controls (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-dialogs (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,5 @@
 override_dh_makeshlibs:
 	:
 
-override_dh_auto_clean:
-	rm -f src/qml/*.qmlc
-	rm -f autotests/qmltests/tst_*.qmlc
+execute_after_dh_auto_clean:
 	rm -rf "$(TESTS_ROOT)"
-	dh_auto_clean

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts="pgpmode=auto, filenamemangle=s/^elisa/elisa-player/" \
https://download.kde.org/stable/release-service/([\d.]+)/src/elisa-([\d.]+)\.tar\.xz

## elisa-player 20.08.2

=== debian/changelog ===
elisa-player (20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:18 +0100

elisa-player (20.08.1-1) unstable; urgency=medium

  * Fix failing test that required a dbus session.
  * New upstream release (20.08.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 09 Sep 2020 23:21:51 +0200

elisa-player (20.08.0-1) unstable; urgency=medium

  * Use KDE Applications website as homepage.
  * New upstream release (20.08.0).
  * Bump build dependencies according to upstream build system:
    - Qt >= 5.11
    - KDE Frameworks >= 5.70
  * Lintian override rename: binary-without-manpage => no-manual-page.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 14 Aug 2020 00:04:46 +0200

elisa-player (20.04.2-1) unstable; urgency=medium

  * New upstream release (20.04.2):
    - Avoid Elisa prevent session close.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 13 Jun 2020 12:41:58 +0200

elisa-player (20.04.1-1) unstable; urgency=medium

  * New upstream release (20.04.1).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 03 Jun 2020 22:50:35 +0200

elisa-player (20.04.0-1) experimental; urgency=medium

  * New upstream release (20.04.0):
    - Added a `now playing’ view.
    - Elisa can be minimized to the system tray and controlled from there.
    - Bump KDE frameworks dependencies to 5.64 or above.
  * Remove explicit --as-needed from linker flags, it’s now injected by
    default.
  * Bump standards version to 4.5.0 (no change required).
  * Bump debhelper compat level to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 May 2020 12:45:05 +0200

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.70.0~),
               cmake (>= 3.8~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               kirigami2-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5filemetadata-bin (>= 5.70.0~) <!nocheck>,
               libkf5filemetadata-dev (>= 5.70.0~),
               libkf5filemetadata3 (>= 5.70.0~) <!nocheck>,
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kcmutils-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5package-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               libqt5multimedia5-plugins (>= 5.12.0~) <!nocheck>,
               libqt5sql5-sqlite (>= 5.12.0~) <!nocheck>,
               libqt5svg5-dev (>= 5.12.0~),
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
               qml-module-qtmultimedia (>= 5.12.0~) <!nocheck>,
               qml-module-qtqml-models2 (>= 5.12.0~) <!nocheck>,
               qml-module-qtquick-controls (>= 5.12.0~) <!nocheck>,
               qml-module-qtquick-controls2 (>= 5.12.0~) <!nocheck>,
               qml-module-qtquick-layouts (>= 5.12.0~) <!nocheck>,
               qml-module-qttest (>= 5.12.0~) <!nocheck>,
               qtbase5-dev (>= 5.12.0~),
               qtbase5-private-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               qtmultimedia5-dev (>= 5.12.0~),
               qtquickcontrols2-5-dev (>= 5.12.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/multimedia/org.kde.elisa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/elisa
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/elisa.git

Package: elisa
Architecture: any
Depends: breeze-icon-theme (>= 5.70.0~),
         libqt5multimedia5-plugins (>= 5.12.0~),
         libqt5sql5-sqlite (>= 5.12.0~),
         qml-module-org-kde-kcm (>= 5.70.0~),
         qml-module-qt-labs-platform (>= 5.12.0~),
         qml-module-qt-labs-settings (>= 5.12.0~),
         qml-module-qtqml-models2 (>= 5.12.0~),
         qml-module-qtquick-controls (>= 5.12.0~),
         qml-module-qtquick-controls2 (>= 5.12.0~),
         qml-module-qtquick-dialogs (>= 5.12.0~),
         qml-module-qtquick-layouts (>= 5.12.0~),
         qml-module-qtquick2 (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 TESTS_ROOT=$(CURDIR)/debian/tests.root
 
@@ -21,7 +21,7 @@
 	mkdir -p "$(TESTS_ROOT)/tmp"
 	mkdir -p "$(TESTS_ROOT)/home/tests"
 	mkdir -p -m 700 "$(TESTS_ROOT)/run"
-	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel -- HOME="$(TESTS_ROOT)/home/tests" TMPDIR="$(TESTS_ROOT)/tmp" XDG_RUNTIME_DIR="$(TESTS_ROOT)/run"
+	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dbus-run-session dh_auto_test --no-parallel -- HOME="$(TESTS_ROOT)/home/tests" TMPDIR="$(TESTS_ROOT)/tmp" XDG_RUNTIME_DIR="$(TESTS_ROOT)/run"
 endif
 
 override_dh_makeshlibs:
